Index: include/avr/io90pwm3b.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io90pwm3b.h,v
retrieving revision 1.16
diff -u -r1.16 io90pwm3b.h
--- include/avr/io90pwm3b.h	11 Feb 2009 17:53:35 -0000	1.16
+++ include/avr/io90pwm3b.h	26 Mar 2009 20:10:23 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2007 Atmel Corporation
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -1291,36 +1292,64 @@
 
 /* Interrupt Vectors */
 /* Interrupt vector 0 is the reset vector. */
+#define PSC2_CAPT_num       1
 #define PSC2_CAPT_vect      _VECTOR(1)   /* PSC2 Capture Event */
+#define PSC2_EC_num         2
 #define PSC2_EC_vect        _VECTOR(2)   /* PSC2 End Cycle */
+#define PSC1_CAPT_num       3
 #define PSC1_CAPT_vect      _VECTOR(3)   /* PSC1 Capture Event */
+#define PSC1_EC_num         4
 #define PSC1_EC_vect        _VECTOR(4)   /* PSC1 End Cycle */
+#define PSC0_CAPT_num       5
 #define PSC0_CAPT_vect      _VECTOR(5)   /* PSC0 Capture Event */
+#define PSC0_EC_num         6
 #define PSC0_EC_vect        _VECTOR(6)   /* PSC0 End Cycle */
+#define ANALOG_COMP_0_num   7
 #define ANALOG_COMP_0_vect  _VECTOR(7)   /* Analog Comparator 0 */
+#define ANALOG_COMP_1_num   8
 #define ANALOG_COMP_1_vect  _VECTOR(8)   /* Analog Comparator 1 */
+#define ANALOG_COMP_2_num   9
 #define ANALOG_COMP_2_vect  _VECTOR(9)   /* Analog Comparator 2 */
+#define INT0_num            10
 #define INT0_vect           _VECTOR(10)  /* External Interrupt Request 0 */
+#define TIMER1_CAPT_num     11
 #define TIMER1_CAPT_vect    _VECTOR(11)  /* Timer/Counter1 Capture Event */
+#define TIMER1_COMPA_num    12
 #define TIMER1_COMPA_vect   _VECTOR(12)  /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPB_num    13
 #define TIMER1_COMPB_vect   _VECTOR(13)  /* Timer/Counter Compare Match B */
 /* Vector 14, Reserved */
+#define TIMER1_OVF_num      15
 #define TIMER1_OVF_vect     _VECTOR(15)  /* Timer/Counter1 Overflow */
+#define TIMER0_COMPA_num    16
 #define TIMER0_COMPA_vect   _VECTOR(16)  /* Timer/Counter0 Compare Match A */
+#define TIMER0_OVF_num      17
 #define TIMER0_OVF_vect     _VECTOR(17)  /* Timer/Counter0 Overflow */
+#define ADC_num             18
 #define ADC_vect            _VECTOR(18)  /* ADC Conversion Complete */
+#define INT1_num            19
 #define INT1_vect           _VECTOR(19)  /* External Interrupt Request 1 */
+#define SPI_STC_num         20
 #define SPI_STC_vect        _VECTOR(20)  /* SPI Serial Transfer Complete */
+#define USART_RX_num        21
 #define USART_RX_vect       _VECTOR(21)  /* USART, Rx Complete */
+#define USART_UDRE_num      22
 #define USART_UDRE_vect     _VECTOR(22)  /* USART Data Register Empty */
+#define USART_TX_num        23
 #define USART_TX_vect       _VECTOR(23)  /* USART, Tx Complete */
+#define INT2_num            24
 #define INT2_vect           _VECTOR(24)  /* External Interrupt Request 2 */
+#define WDT_num             25
 #define WDT_vect            _VECTOR(25)  /* Watchdog Timeout Interrupt */
+#define EE_READY_num        26
 #define EE_READY_vect       _VECTOR(26)  /* EEPROM Ready */
+#define TIMER0_COMPB_num    27
 #define TIMER0_COMPB_vect   _VECTOR(27)  /* Timer Counter 0 Compare Match B */
+#define INT3_num            28
 #define INT3_vect           _VECTOR(28)  /* External Interrupt Request 3 */
 /* Vector 29, Reserved */
 /* Vector 30, Reserved */
+#define SPM_READY_num       31
 #define SPM_READY_vect      _VECTOR(31)  /* Store Program Memory Read */
 
 #define _VECTORS_SIZE 64
@@ -1389,4 +1418,296 @@
 #define SIGNATURE_2 0x83
 
 
+/* Device Pin Definitions */
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	0
+
+#define DDR_PSCOUT20  	DDRB
+#define PORT_PSCOUT20 	PORTB
+#define PIN_PSCOUT20  	PINB
+#define PSCOUT20_IDX  	0
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	1
+
+#define DDR_PSCOUT21  	DDRB
+#define PORT_PSCOUT21 	PORTB
+#define PIN_PSCOUT21  	PINB
+#define PSCOUT21_IDX  	1
+
+#define DDR_ADC5  	DDRB
+#define PORT_ADC5 	PORTB
+#define PIN_ADC5  	PINB
+#define ADC5_IDX  	2
+
+#define DDR_INT1  	DDRB
+#define PORT_INT1 	PORTB
+#define PIN_INT1  	PINB
+#define INT1_IDX  	2
+
+#define DDR_AMP0_N  	DDRB
+#define PORT_AMP0_N 	PORTB
+#define PIN_AMP0_N  	PINB
+#define AMP0_N_IDX  	3
+
+#define DDR_AMP0_P  	DDRB
+#define PORT_AMP0_P 	PORTB
+#define PIN_AMP0_P  	PINB
+#define AMP0_P_IDX  	4
+
+#define DDR_ADC6  	DDRB
+#define PORT_ADC6 	PORTB
+#define PIN_ADC6  	PINB
+#define ADC6_IDX  	5
+
+#define DDR_INT2  	DDRB
+#define PORT_INT2 	PORTB
+#define PIN_INT2  	PINB
+#define INT2_IDX  	5
+
+#define DDR_ADC7  	DDRB
+#define PORT_ADC7 	PORTB
+#define PIN_ADC7  	PINB
+#define ADC7_IDX  	6
+
+#define DDR_PSCOUT11  	DDRB
+#define PORT_PSCOUT11 	PORTB
+#define PIN_PSCOUT11  	PINB
+#define PSCOUT11_IDX  	6
+
+#define DDR_ICP1B  	DDRB
+#define PORT_ICP1B 	PORTB
+#define PIN_ICP1B  	PINB
+#define ICP1B_IDX  	6
+
+#define DDR_ADC4  	DDRB
+#define PORT_ADC4 	PORTB
+#define PIN_ADC4  	PINB
+#define ADC4_IDX  	7
+
+#define DDR_PSCOUT01  	DDRB
+#define PORT_PSCOUT01 	PORTB
+#define PIN_PSCOUT01  	PINB
+#define PSCOUT01_IDX  	7
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	7
+
+#define DDR_INT3  	DDRC
+#define PORT_INT3 	PORTC
+#define PIN_INT3  	PINC
+#define INT3_IDX  	0
+
+#define DDR_PSCOUT10  	DDRC
+#define PORT_PSCOUT10 	PORTC
+#define PIN_PSCOUT10  	PINC
+#define PSCOUT10_IDX  	0
+
+#define DDR_PSCIN1  	DDRC
+#define PORT_PSCIN1 	PORTC
+#define PIN_PSCIN1  	PINC
+#define PSCIN1_IDX  	1
+
+#define DDR_OC1B  	DDRC
+#define PORT_OC1B 	PORTC
+#define PIN_OC1B  	PINC
+#define OC1B_IDX  	1
+
+#define DDR_T0  	DDRC
+#define PORT_T0 	PORTC
+#define PIN_T0  	PINC
+#define T0_IDX  	2
+
+#define DDR_PSCOUT22  	DDRC
+#define PORT_PSCOUT22 	PORTC
+#define PIN_PSCOUT22  	PINC
+#define PSCOUT22_IDX  	2
+
+#define DDR_T1  	DDRC
+#define PORT_T1 	PORTC
+#define PIN_T1  	PINC
+#define T1_IDX  	3
+
+#define DDR_PSCOUT23  	DDRC
+#define PORT_PSCOUT23 	PORTC
+#define PIN_PSCOUT23  	PINC
+#define PSCOUT23_IDX  	3
+
+#define DDR_ADC8  	DDRC
+#define PORT_ADC8 	PORTC
+#define PIN_ADC8  	PINC
+#define ADC8_IDX  	4
+
+#define DDR_AMP1_N  	DDRC
+#define PORT_AMP1_N 	PORTC
+#define PIN_AMP1_N  	PINC
+#define AMP1_N_IDX  	4
+
+#define DDR_ADC9  	DDRC
+#define PORT_ADC9 	PORTC
+#define PIN_ADC9  	PINC
+#define ADC9_IDX  	5
+
+#define DDR_AMP1_P  	DDRC
+#define PORT_AMP1_P 	PORTC
+#define PIN_AMP1_P  	PINC
+#define AMP1_P_IDX  	5
+
+#define DDR_ADC10  	DDRC
+#define PORT_ADC10 	PORTC
+#define PIN_ADC10  	PINC
+#define ADC10_IDX  	6
+
+#define DDR_ACMP1  	DDRC
+#define PORT_ACMP1 	PORTC
+#define PIN_ACMP1  	PINC
+#define ACMP1_IDX  	6
+
+#define DDR_D2A  	DDRC
+#define PORT_D2A 	PORTC
+#define PIN_D2A  	PINC
+#define D2A_IDX  	7
+
+#define DDR_PSCOUT00  	DDRD
+#define PORT_PSCOUT00 	PORTD
+#define PIN_PSCOUT00  	PIND
+#define PSCOUT00_IDX  	0
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	0
+
+#define DDR_SSA  	DDRD
+#define PORT_SSA 	PORTD
+#define PIN_SSA  	PIND
+#define SSA_IDX  	0
+
+#define DDR_PSCIN0  	DDRD
+#define PORT_PSCIN0 	PORTD
+#define PIN_PSCIN0  	PIND
+#define PSCIN0_IDX  	1
+
+#define DDR_CLKO  	DDRD
+#define PORT_CLKO 	PORTD
+#define PIN_CLKO  	PIND
+#define CLKO_IDX  	1
+
+#define DDR_PSCIN2  	DDRD
+#define PORT_PSCIN2 	PORTD
+#define PIN_PSCIN2  	PIND
+#define PSCIN2_IDX  	2
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	2
+
+#define DDR_MISO_A  	DDRD
+#define PORT_MISO_A 	PORTD
+#define PIN_MISO_A  	PIND
+#define MISO_A_IDX  	2
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	3
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	3
+
+#define DDR_OC0A  	DDRD
+#define PORT_OC0A 	PORTD
+#define PIN_OC0A  	PIND
+#define OC0A_IDX  	3
+
+#define DDR_SS  	DDRD
+#define PORT_SS 	PORTD
+#define PIN_SS  	PIND
+#define SS_IDX  	3
+
+#define DDR_MOSI_A  	DDRD
+#define PORT_MOSI_A 	PORTD
+#define PIN_MOSI_A  	PIND
+#define MOSI_A_IDX  	3
+
+#define DDR_ADC1  	DDRD
+#define PORT_ADC1 	PORTD
+#define PIN_ADC1  	PIND
+#define ADC1_IDX  	4
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	4
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	4
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	4
+
+#define DDR_SCK_A  	DDRD
+#define PORT_SCK_A 	PORTD
+#define PIN_SCK_A  	PIND
+#define SCK_A_IDX  	4
+
+#define DDR_ADC2  	DDRD
+#define PORT_ADC2 	PORTD
+#define PIN_ADC2  	PIND
+#define ADC2_IDX  	5
+
+#define DDR_ACOMP2  	DDRD
+#define PORT_ACOMP2 	PORTD
+#define PIN_ACOMP2  	PIND
+#define ACOMP2_IDX  	5
+
+#define DDR_ADC3  	DDRD
+#define PORT_ADC3 	PORTD
+#define PIN_ADC3  	PIND
+#define ADC3_IDX  	6
+
+#define DDR_ACMPM  	DDRD
+#define PORT_ACMPM 	PORTD
+#define PIN_ACMPM  	PIND
+#define ACMPM_IDX  	6
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	6
+
+#define DDR_ACMP0  	DDRD
+#define PORT_ACMP0 	PORTD
+#define PIN_ACMP0  	PIND
+#define ACMP0_IDX  	7
+
+#define DDR_OCD  	DDRE
+#define PORT_OCD 	PORTE
+#define PIN_OCD  	PINE
+#define OCD_IDX  	0
+
+#define DDR_OC0B  	DDRE
+#define PORT_OC0B 	PORTE
+#define PIN_OC0B  	PINE
+#define OC0B_IDX  	1
+
+#define DDR_ADC0  	DDRE
+#define PORT_ADC0 	PORTE
+#define PIN_ADC0  	PINE
+#define ADC0_IDX  	2
+
+
 #endif /* _AVR_IO90PWM3B_H_ */
Index: include/avr/io90pwmx.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/io90pwmx.h,v
retrieving revision 1.15
diff -u -r1.15 io90pwmx.h
--- include/avr/io90pwmx.h	11 Feb 2009 17:53:35 -0000	1.15
+++ include/avr/io90pwmx.h	26 Mar 2009 20:10:24 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2005, Andrey Pashchenko
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -1194,122 +1195,150 @@
 
 /* Interrupt vectors */
 /* PSC2 Capture Event */
+#define PSC2_CAPT_num 			1
 #define PSC2_CAPT_vect			_VECTOR(1)
 #define SIG_PSC2_CAPTURE		_VECTOR(1)
 
 /* PSC2 End Cycle */
+#define PSC2_EC_num 			2
 #define PSC2_EC_vect			_VECTOR(2)
 #define SIG_PSC2_END_CYCLE		_VECTOR(2)
 
 /* PSC1 Capture Event */
+#define PSC1_CAPT_num 			3
 #define PSC1_CAPT_vect			_VECTOR(3)
 #define SIG_PSC1_CAPTURE		_VECTOR(3)
 
 /* PSC1 End Cycle */
+#define PSC1_EC_num 			4
 #define PSC1_EC_vect			_VECTOR(4)
 #define SIG_PSC1_END_CYCLE		_VECTOR(4)
 
 /* PSC0 Capture Event */
+#define PSC0_CAPT_num 			5
 #define PSC0_CAPT_vect			_VECTOR(5)
 #define SIG_PSC0_CAPTURE		_VECTOR(5)
 
 /* PSC0 End Cycle */
+#define PSC0_EC_num 			6
 #define PSC0_EC_vect			_VECTOR(6)
 #define SIG_PSC0_END_CYCLE		_VECTOR(6)
 
 /* Analog Comparator 0 */
+#define ANALOG_COMP_0_num 		7
 #define ANALOG_COMP_0_vect		_VECTOR(7)
 #define SIG_COMPARATOR0			_VECTOR(7)
 
 /* Analog Comparator 1 */
+#define ANALOG_COMP_1_num 		8
 #define ANALOG_COMP_1_vect		_VECTOR(8)
 #define SIG_COMPARATOR1			_VECTOR(8)
 
 /* Analog Comparator 2 */
+#define ANALOG_COMP_2_num 		9
 #define ANALOG_COMP_2_vect		_VECTOR(9)
 #define SIG_COMPARATOR2			_VECTOR(9)
 
 /* External Interrupt Request 0 */
+#define INT0_num 			10
 #define INT0_vect			_VECTOR(10)
 #define SIG_INTERRUPT0			_VECTOR(10)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		11
 #define TIMER1_CAPT_vect		_VECTOR(11)
 #define SIG_INPUT_CAPTURE1		_VECTOR(11)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		12
 #define TIMER1_COMPA_vect		_VECTOR(12)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(12)
 #define SIG_OUTPUT_COMPARE1_A		_VECTOR(12)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num 		13
 #define TIMER1_COMPB_vect		_VECTOR(13)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(13)
 #define SIG_OUTPUT_COMPARE1_B		_VECTOR(13)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			15
 #define TIMER1_OVF_vect			_VECTOR(15)
 #define SIG_OVERFLOW1			_VECTOR(15)
 
 /* Timer/Counter0 Compare Match A */
+#define TIMER0_COMP_A_num 		16
 #define TIMER0_COMP_A_vect		_VECTOR(16)
 #define SIG_OUTPUT_COMPARE0A		_VECTOR(16)
 #define SIG_OUTPUT_COMPARE0_A		_VECTOR(16)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			17
 #define TIMER0_OVF_vect			_VECTOR(17)
 #define SIG_OVERFLOW0			_VECTOR(17)
 
 /* ADC Conversion Complete */
+#define ADC_num 			18
 #define ADC_vect			_VECTOR(18)
 #define SIG_ADC				_VECTOR(18)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			19
 #define INT1_vect			_VECTOR(19)
 #define SIG_INTERRUPT1			_VECTOR(19)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			20
 #define SPI_STC_vect			_VECTOR(20)
 #define SIG_SPI				_VECTOR(20)
 
 /* USART, Rx Complete */
+#define USART_RX_num 			21
 #define USART_RX_vect			_VECTOR(21)
 #define SIG_USART_RECV			_VECTOR(21)
 #define SIG_UART_RECV			_VECTOR(21)
 
 /* USART Data Register Empty */
+#define USART_UDRE_num 			22
 #define USART_UDRE_vect			_VECTOR(22)
 #define SIG_USART_DATA			_VECTOR(22)
 #define SIG_UART_DATA			_VECTOR(22)
 
 /* USART, Tx Complete */
+#define USART_TX_num 			23
 #define USART_TX_vect			_VECTOR(23)
 #define SIG_USART_TRANS			_VECTOR(23)
 #define SIG_UART_TRANS			_VECTOR(23)
 
 /* External Interrupt Request 2 */
+#define INT2_num 			24
 #define INT2_vect			_VECTOR(24)
 #define SIG_INTERRUPT2			_VECTOR(24)
 
 /* Watchdog Timeout Interrupt */
+#define WDT_num 			25
 #define WDT_vect			_VECTOR(25)
 #define SIG_WDT				_VECTOR(25)
 #define SIG_WATCHDOG_TIMEOUT		_VECTOR(25)
 
 /* EEPROM Ready */
+#define EE_READY_num 			26
 #define EE_READY_vect			_VECTOR(26)
 #define SIG_EEPROM_READY		_VECTOR(26)
 
 /* Timer Counter 0 Compare Match B */
+#define TIMER0_COMPB_num 		27
 #define TIMER0_COMPB_vect		_VECTOR(27)
 #define SIG_OUTPUT_COMPARE0B		_VECTOR(27)
 #define SIG_OUTPUT_COMPARE0_B		_VECTOR(27)
 
 /* External Interrupt Request 3 */
+#define INT3_num 			28
 #define INT3_vect			_VECTOR(28)
 #define SIG_INTERRUPT3			_VECTOR(28)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			31
 #define SPM_READY_vect			_VECTOR(31)
 #define SIG_SPM_READY			_VECTOR(31)
 
@@ -1368,4 +1397,296 @@
 #define __BOOT_LOCK_BITS_1_EXIST 
 
 
+/* Device Pin Definitions */
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	0
+
+#define DDR_PSCOUT20  	DDRB
+#define PORT_PSCOUT20 	PORTB
+#define PIN_PSCOUT20  	PINB
+#define PSCOUT20_IDX  	0
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	1
+
+#define DDR_PSCOUT21  	DDRB
+#define PORT_PSCOUT21 	PORTB
+#define PIN_PSCOUT21  	PINB
+#define PSCOUT21_IDX  	1
+
+#define DDR_ADC5  	DDRB
+#define PORT_ADC5 	PORTB
+#define PIN_ADC5  	PINB
+#define ADC5_IDX  	2
+
+#define DDR_INT1  	DDRB
+#define PORT_INT1 	PORTB
+#define PIN_INT1  	PINB
+#define INT1_IDX  	2
+
+#define DDR_AMP0_N  	DDRB
+#define PORT_AMP0_N 	PORTB
+#define PIN_AMP0_N  	PINB
+#define AMP0_N_IDX  	3
+
+#define DDR_AMP0_P  	DDRB
+#define PORT_AMP0_P 	PORTB
+#define PIN_AMP0_P  	PINB
+#define AMP0_P_IDX  	4
+
+#define DDR_ADC6  	DDRB
+#define PORT_ADC6 	PORTB
+#define PIN_ADC6  	PINB
+#define ADC6_IDX  	5
+
+#define DDR_INT2  	DDRB
+#define PORT_INT2 	PORTB
+#define PIN_INT2  	PINB
+#define INT2_IDX  	5
+
+#define DDR_ADC7  	DDRB
+#define PORT_ADC7 	PORTB
+#define PIN_ADC7  	PINB
+#define ADC7_IDX  	6
+
+#define DDR_PSCOUT11  	DDRB
+#define PORT_PSCOUT11 	PORTB
+#define PIN_PSCOUT11  	PINB
+#define PSCOUT11_IDX  	6
+
+#define DDR_ICP1B  	DDRB
+#define PORT_ICP1B 	PORTB
+#define PIN_ICP1B  	PINB
+#define ICP1B_IDX  	6
+
+#define DDR_ADC4  	DDRB
+#define PORT_ADC4 	PORTB
+#define PIN_ADC4  	PINB
+#define ADC4_IDX  	7
+
+#define DDR_PSCOUT01  	DDRB
+#define PORT_PSCOUT01 	PORTB
+#define PIN_PSCOUT01  	PINB
+#define PSCOUT01_IDX  	7
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	7
+
+#define DDR_INT3  	DDRC
+#define PORT_INT3 	PORTC
+#define PIN_INT3  	PINC
+#define INT3_IDX  	0
+
+#define DDR_PSCOUT10  	DDRC
+#define PORT_PSCOUT10 	PORTC
+#define PIN_PSCOUT10  	PINC
+#define PSCOUT10_IDX  	0
+
+#define DDR_PSCIN1  	DDRC
+#define PORT_PSCIN1 	PORTC
+#define PIN_PSCIN1  	PINC
+#define PSCIN1_IDX  	1
+
+#define DDR_OC1B  	DDRC
+#define PORT_OC1B 	PORTC
+#define PIN_OC1B  	PINC
+#define OC1B_IDX  	1
+
+#define DDR_T0  	DDRC
+#define PORT_T0 	PORTC
+#define PIN_T0  	PINC
+#define T0_IDX  	2
+
+#define DDR_PSCOUT22  	DDRC
+#define PORT_PSCOUT22 	PORTC
+#define PIN_PSCOUT22  	PINC
+#define PSCOUT22_IDX  	2
+
+#define DDR_T1  	DDRC
+#define PORT_T1 	PORTC
+#define PIN_T1  	PINC
+#define T1_IDX  	3
+
+#define DDR_PSCOUT23  	DDRC
+#define PORT_PSCOUT23 	PORTC
+#define PIN_PSCOUT23  	PINC
+#define PSCOUT23_IDX  	3
+
+#define DDR_ADC8  	DDRC
+#define PORT_ADC8 	PORTC
+#define PIN_ADC8  	PINC
+#define ADC8_IDX  	4
+
+#define DDR_AMP1_N  	DDRC
+#define PORT_AMP1_N 	PORTC
+#define PIN_AMP1_N  	PINC
+#define AMP1_N_IDX  	4
+
+#define DDR_ADC9  	DDRC
+#define PORT_ADC9 	PORTC
+#define PIN_ADC9  	PINC
+#define ADC9_IDX  	5
+
+#define DDR_AMP1_P  	DDRC
+#define PORT_AMP1_P 	PORTC
+#define PIN_AMP1_P  	PINC
+#define AMP1_P_IDX  	5
+
+#define DDR_ADC10  	DDRC
+#define PORT_ADC10 	PORTC
+#define PIN_ADC10  	PINC
+#define ADC10_IDX  	6
+
+#define DDR_ACMP1  	DDRC
+#define PORT_ACMP1 	PORTC
+#define PIN_ACMP1  	PINC
+#define ACMP1_IDX  	6
+
+#define DDR_D2A  	DDRC
+#define PORT_D2A 	PORTC
+#define PIN_D2A  	PINC
+#define D2A_IDX  	7
+
+#define DDR_PSCOUT00  	DDRD
+#define PORT_PSCOUT00 	PORTD
+#define PIN_PSCOUT00  	PIND
+#define PSCOUT00_IDX  	0
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	0
+
+#define DDR_SSA  	DDRD
+#define PORT_SSA 	PORTD
+#define PIN_SSA  	PIND
+#define SSA_IDX  	0
+
+#define DDR_PSCIN0  	DDRD
+#define PORT_PSCIN0 	PORTD
+#define PIN_PSCIN0  	PIND
+#define PSCIN0_IDX  	1
+
+#define DDR_CLKO  	DDRD
+#define PORT_CLKO 	PORTD
+#define PIN_CLKO  	PIND
+#define CLKO_IDX  	1
+
+#define DDR_PSCIN2  	DDRD
+#define PORT_PSCIN2 	PORTD
+#define PIN_PSCIN2  	PIND
+#define PSCIN2_IDX  	2
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	2
+
+#define DDR_MISO_A  	DDRD
+#define PORT_MISO_A 	PORTD
+#define PIN_MISO_A  	PIND
+#define MISO_A_IDX  	2
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	3
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	3
+
+#define DDR_OC0A  	DDRD
+#define PORT_OC0A 	PORTD
+#define PIN_OC0A  	PIND
+#define OC0A_IDX  	3
+
+#define DDR_SS  	DDRD
+#define PORT_SS 	PORTD
+#define PIN_SS  	PIND
+#define SS_IDX  	3
+
+#define DDR_MOSI_A  	DDRD
+#define PORT_MOSI_A 	PORTD
+#define PIN_MOSI_A  	PIND
+#define MOSI_A_IDX  	3
+
+#define DDR_ADC1  	DDRD
+#define PORT_ADC1 	PORTD
+#define PIN_ADC1  	PIND
+#define ADC1_IDX  	4
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	4
+
+#define DDR_DALI  	DDRD
+#define PORT_DALI 	PORTD
+#define PIN_DALI  	PIND
+#define DALI_IDX  	4
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	4
+
+#define DDR_SCK_A  	DDRD
+#define PORT_SCK_A 	PORTD
+#define PIN_SCK_A  	PIND
+#define SCK_A_IDX  	4
+
+#define DDR_ADC2  	DDRD
+#define PORT_ADC2 	PORTD
+#define PIN_ADC2  	PIND
+#define ADC2_IDX  	5
+
+#define DDR_ACOMP2  	DDRD
+#define PORT_ACOMP2 	PORTD
+#define PIN_ACOMP2  	PIND
+#define ACOMP2_IDX  	5
+
+#define DDR_ADC3  	DDRD
+#define PORT_ADC3 	PORTD
+#define PIN_ADC3  	PIND
+#define ADC3_IDX  	6
+
+#define DDR_ACMPM  	DDRD
+#define PORT_ACMPM 	PORTD
+#define PIN_ACMPM  	PIND
+#define ACMPM_IDX  	6
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	6
+
+#define DDR_ACMP0  	DDRD
+#define PORT_ACMP0 	PORTD
+#define PIN_ACMP0  	PIND
+#define ACMP0_IDX  	7
+
+#define DDR_OCD  	DDRE
+#define PORT_OCD 	PORTE
+#define PIN_OCD  	PINE
+#define OCD_IDX  	0
+
+#define DDR_OC0B  	DDRE
+#define PORT_OC0B 	PORTE
+#define PIN_OC0B  	PINE
+#define OC0B_IDX  	1
+
+#define DDR_ADC0  	DDRE
+#define PORT_ADC0 	PORTE
+#define PIN_ADC0  	PINE
+#define ADC0_IDX  	2
+
+
 #endif /* _AVR_IO90PWMX_H_ */
Index: include/avr/iom162.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iom162.h,v
retrieving revision 1.19
diff -u -r1.19 iom162.h
--- include/avr/iom162.h	17 Nov 2008 16:20:00 -0000	1.19
+++ include/avr/iom162.h	26 Mar 2009 20:10:27 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2002, Nils Kristian Strom <nilsst@omegav.ntnu.no>
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -169,110 +170,137 @@
 /* Interrupt vectors (byte addresses) */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			2
 #define INT1_vect			_VECTOR(2)
 #define SIG_INTERRUPT1			_VECTOR(2)
 
 /* External Interrupt Request 2 */
+#define INT2_num 			3
 #define INT2_vect			_VECTOR(3)
 #define SIG_INTERRUPT2			_VECTOR(3)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			4
 #define PCINT0_vect			_VECTOR(4)
 #define SIG_PIN_CHANGE0			_VECTOR(4)
 
 /* Pin Change Interrupt Request 1 */
+#define PCINT1_num 			5
 #define PCINT1_vect			_VECTOR(5)
 #define SIG_PIN_CHANGE1			_VECTOR(5)
 
 /* Timer/Counter3 Capture Event */
+#define TIMER3_CAPT_num 		6
 #define TIMER3_CAPT_vect		_VECTOR(6)
 #define SIG_INPUT_CAPTURE3		_VECTOR(6)
 
 /* Timer/Counter3 Compare Match A */
+#define TIMER3_COMPA_num 		7
 #define TIMER3_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE3A		_VECTOR(7)
 
 /* Timer/Counter3 Compare Match B */
+#define TIMER3_COMPB_num 		8
 #define TIMER3_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE3B		_VECTOR(8)
 
 /* Timer/Counter3 Overflow */
+#define TIMER3_OVF_num 			9
 #define TIMER3_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW3			_VECTOR(9)
 
 /* Timer/Counter2 Compare Match */
+#define TIMER2_COMP_num 		10
 #define TIMER2_COMP_vect		_VECTOR(10)
 #define SIG_OUTPUT_COMPARE2		_VECTOR(10)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			11
 #define TIMER2_OVF_vect			_VECTOR(11)
 #define SIG_OVERFLOW2			_VECTOR(11)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		12
 #define TIMER1_CAPT_vect		_VECTOR(12)
 #define SIG_INPUT_CAPTURE1		_VECTOR(12)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		13
 #define TIMER1_COMPA_vect		_VECTOR(13)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(13)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num 		14
 #define TIMER1_COMPB_vect		_VECTOR(14)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(14)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			15
 #define TIMER1_OVF_vect			_VECTOR(15)
 #define SIG_OVERFLOW1			_VECTOR(15)
 
 /* Timer/Counter0 Compare Match */
+#define TIMER0_COMP_num 		16
 #define TIMER0_COMP_vect		_VECTOR(16)
 #define SIG_OUTPUT_COMPARE0		_VECTOR(16)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			17
 #define TIMER0_OVF_vect			_VECTOR(17)
 #define SIG_OVERFLOW0			_VECTOR(17)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			18
 #define SPI_STC_vect			_VECTOR(18)
 #define SIG_SPI				_VECTOR(18)
 
 /* USART0, Rx Complete */
+#define USART0_RXC_num 			19
 #define USART0_RXC_vect			_VECTOR(19)
 #define SIG_USART0_RECV			_VECTOR(19)
 
 /* USART1, Rx Complete */
+#define USART1_RXC_num 			20
 #define USART1_RXC_vect			_VECTOR(20)
 #define SIG_USART1_RECV			_VECTOR(20)
 
 /* USART0 Data register Empty */
+#define USART0_UDRE_num 		21
 #define USART0_UDRE_vect		_VECTOR(21)
 #define SIG_USART0_DATA			_VECTOR(21)
 
 /* USART1, Data register Empty */
+#define USART1_UDRE_num 		22
 #define USART1_UDRE_vect		_VECTOR(22)
 #define SIG_USART1_DATA			_VECTOR(22)
 
 /* USART0, Tx Complete */
+#define USART0_TXC_num 			23
 #define USART0_TXC_vect			_VECTOR(23)
 #define SIG_USART0_TRANS		_VECTOR(23)
 
 /* USART1, Tx Complete */
+#define USART1_TXC_num 			24
 #define USART1_TXC_vect			_VECTOR(24)
 #define SIG_USART1_TRANS		_VECTOR(24)
 
 /* EEPROM Ready */
+#define EE_RDY_num 			25
 #define EE_RDY_vect			_VECTOR(25)
 #define SIG_EEPROM_READY		_VECTOR(25)
 
 /* Analog Comparator */
+#define ANA_COMP_num 			26
 #define ANA_COMP_vect			_VECTOR(26)
 #define SIG_COMPARATOR			_VECTOR(26)
 
 /* Store Program Memory Read */
+#define SPM_RDY_num 			27
 #define SPM_RDY_vect			_VECTOR(27)
 #define SIG_SPM_READY			_VECTOR(27)
 
@@ -949,4 +977,296 @@
 #define SIGNATURE_2 0x04
 
 
+/* Device Pin Definitions */
+#define DDR_PCINT0  	DDRA
+#define PORT_PCINT0 	PORTA
+#define PIN_PCINT0  	PINA
+#define PCINT0_IDX  	0
+
+#define DDR_AD0  	DDRA
+#define PORT_AD0 	PORTA
+#define PIN_AD0  	PINA
+#define AD0_IDX  	0
+
+#define DDR_PCINT1  	DDRA
+#define PORT_PCINT1 	PORTA
+#define PIN_PCINT1  	PINA
+#define PCINT1_IDX  	1
+
+#define DDR_AD1  	DDRA
+#define PORT_AD1 	PORTA
+#define PIN_AD1  	PINA
+#define AD1_IDX  	1
+
+#define DDR_PCINT2  	DDRA
+#define PORT_PCINT2 	PORTA
+#define PIN_PCINT2  	PINA
+#define PCINT2_IDX  	2
+
+#define DDR_AD2  	DDRA
+#define PORT_AD2 	PORTA
+#define PIN_AD2  	PINA
+#define AD2_IDX  	2
+
+#define DDR_PCINT3  	DDRA
+#define PORT_PCINT3 	PORTA
+#define PIN_PCINT3  	PINA
+#define PCINT3_IDX  	3
+
+#define DDR_AD3  	DDRA
+#define PORT_AD3 	PORTA
+#define PIN_AD3  	PINA
+#define AD3_IDX  	3
+
+#define DDR_PCINT4  	DDRA
+#define PORT_PCINT4 	PORTA
+#define PIN_PCINT4  	PINA
+#define PCINT4_IDX  	4
+
+#define DDR_AD4  	DDRA
+#define PORT_AD4 	PORTA
+#define PIN_AD4  	PINA
+#define AD4_IDX  	4
+
+#define DDR_PCINT5  	DDRA
+#define PORT_PCINT5 	PORTA
+#define PIN_PCINT5  	PINA
+#define PCINT5_IDX  	5
+
+#define DDR_AD5  	DDRA
+#define PORT_AD5 	PORTA
+#define PIN_AD5  	PINA
+#define AD5_IDX  	5
+
+#define DDR_PCINT6  	DDRA
+#define PORT_PCINT6 	PORTA
+#define PIN_PCINT6  	PINA
+#define PCINT6_IDX  	6
+
+#define DDR_AD6  	DDRA
+#define PORT_AD6 	PORTA
+#define PIN_AD6  	PINA
+#define AD6_IDX  	6
+
+#define DDR_PCINT7  	DDRA
+#define PORT_PCINT7 	PORTA
+#define PIN_PCINT7  	PINA
+#define PCINT7_IDX  	7
+
+#define DDR_AD7  	DDRA
+#define PORT_AD7 	PORTA
+#define PIN_AD7  	PINA
+#define AD7_IDX  	7
+
+#define DDR_OC0  	DDRB
+#define PORT_OC0 	PORTB
+#define PIN_OC0  	PINB
+#define OC0_IDX  	0
+
+#define DDR_T0  	DDRB
+#define PORT_T0 	PORTB
+#define PIN_T0  	PINB
+#define T0_IDX  	0
+
+#define DDR_OC2  	DDRB
+#define PORT_OC2 	PORTB
+#define PIN_OC2  	PINB
+#define OC2_IDX  	1
+
+#define DDR_T1  	DDRB
+#define PORT_T1 	PORTB
+#define PIN_T1  	PINB
+#define T1_IDX  	1
+
+#define DDR_RXD1  	DDRB
+#define PORT_RXD1 	PORTB
+#define PIN_RXD1  	PINB
+#define RXD1_IDX  	2
+
+#define DDR_AIN0  	DDRB
+#define PORT_AIN0 	PORTB
+#define PIN_AIN0  	PINB
+#define AIN0_IDX  	2
+
+#define DDR_TXD1  	DDRB
+#define PORT_TXD1 	PORTB
+#define PIN_TXD1  	PINB
+#define TXD1_IDX  	3
+
+#define DDR_AIN1  	DDRB
+#define PORT_AIN1 	PORTB
+#define PIN_AIN1  	PINB
+#define AIN1_IDX  	3
+
+#define DDR_OC3B  	DDRB
+#define PORT_OC3B 	PORTB
+#define PIN_OC3B  	PINB
+#define OC3B_IDX  	4
+
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	4
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	5
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	6
+
+#define DDR_PCINT8  	DDRC
+#define PORT_PCINT8 	PORTC
+#define PIN_PCINT8  	PINC
+#define PCINT8_IDX  	0
+
+#define DDR_A8  	DDRC
+#define PORT_A8 	PORTC
+#define PIN_A8  	PINC
+#define A8_IDX  	0
+
+#define DDR_PCINT9  	DDRC
+#define PORT_PCINT9 	PORTC
+#define PIN_PCINT9  	PINC
+#define PCINT9_IDX  	1
+
+#define DDR_A9  	DDRC
+#define PORT_A9 	PORTC
+#define PIN_A9  	PINC
+#define A9_IDX  	1
+
+#define DDR_PCINT10  	DDRC
+#define PORT_PCINT10 	PORTC
+#define PIN_PCINT10  	PINC
+#define PCINT10_IDX  	2
+
+#define DDR_A10  	DDRC
+#define PORT_A10 	PORTC
+#define PIN_A10  	PINC
+#define A10_IDX  	2
+
+#define DDR_PCINT11  	DDRC
+#define PORT_PCINT11 	PORTC
+#define PIN_PCINT11  	PINC
+#define PCINT11_IDX  	3
+
+#define DDR_A11  	DDRC
+#define PORT_A11 	PORTC
+#define PIN_A11  	PINC
+#define A11_IDX  	3
+
+#define DDR_PCINT12  	DDRC
+#define PORT_PCINT12 	PORTC
+#define PIN_PCINT12  	PINC
+#define PCINT12_IDX  	4
+
+#define DDR_A12  	DDRC
+#define PORT_A12 	PORTC
+#define PIN_A12  	PINC
+#define A12_IDX  	4
+
+#define DDR_PCINT13  	DDRC
+#define PORT_PCINT13 	PORTC
+#define PIN_PCINT13  	PINC
+#define PCINT13_IDX  	5
+
+#define DDR_A13  	DDRC
+#define PORT_A13 	PORTC
+#define PIN_A13  	PINC
+#define A13_IDX  	5
+
+#define DDR_PCINT14  	DDRC
+#define PORT_PCINT14 	PORTC
+#define PIN_PCINT14  	PINC
+#define PCINT14_IDX  	6
+
+#define DDR_A14  	DDRC
+#define PORT_A14 	PORTC
+#define PIN_A14  	PINC
+#define A14_IDX  	6
+
+#define DDR_PCINT15  	DDRC
+#define PORT_PCINT15 	PORTC
+#define PIN_PCINT15  	PINC
+#define PCINT15_IDX  	7
+
+#define DDR_A15  	DDRC
+#define PORT_A15 	PORTC
+#define PIN_A15  	PINC
+#define A15_IDX  	7
+
+#define DDR_TXD0  	DDRD
+#define PORT_TXD0 	PORTD
+#define PIN_TXD0  	PIND
+#define TXD0_IDX  	1
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	2
+
+#define DDR_XCK1  	DDRD
+#define PORT_XCK1 	PORTD
+#define PIN_XCK1  	PIND
+#define XCK1_IDX  	2
+
+#define DDR_INT1  	DDRD
+#define PORT_INT1 	PORTD
+#define PIN_INT1  	PIND
+#define INT1_IDX  	3
+
+#define DDR_XCK1  	DDRD
+#define PORT_XCK1 	PORTD
+#define PIN_XCK1  	PIND
+#define XCK1_IDX  	3
+
+#define DDR_XCK0  	DDRD
+#define PORT_XCK0 	PORTD
+#define PIN_XCK0  	PIND
+#define XCK0_IDX  	4
+
+#define DDR_OC3A  	DDRD
+#define PORT_OC3A 	PORTD
+#define PIN_OC3A  	PIND
+#define OC3A_IDX  	4
+
+#define DDR_OC1A  	DDRD
+#define PORT_OC1A 	PORTD
+#define PIN_OC1A  	PIND
+#define OC1A_IDX  	5
+
+#define DDR_WR  	DDRD
+#define PORT_WR 	PORTD
+#define PIN_WR  	PIND
+#define WR_IDX  	6
+
+#define DDR_RD  	DDRD
+#define PORT_RD 	PORTD
+#define PIN_RD  	PIND
+#define RD_IDX  	7
+
+#define DDR_ICP1  	DDRE
+#define PORT_ICP1 	PORTE
+#define PIN_ICP1  	PINE
+#define ICP1_IDX  	0
+
+#define DDR_INT2  	DDRE
+#define PORT_INT2 	PORTE
+#define PIN_INT2  	PINE
+#define INT2_IDX  	0
+
+#define DDR_ALE  	DDRE
+#define PORT_ALE 	PORTE
+#define PIN_ALE  	PINE
+#define ALE_IDX  	1
+
+#define DDR_OC1B  	DDRE
+#define PORT_OC1B 	PORTE
+#define PIN_OC1B  	PINE
+#define OC1B_IDX  	2
+
+
 #endif  /* _AVR_IOM162_H_ */
